//
//  TransactionMenuController.swift
//  SampleApp
//
//  Created by Apple on 12/09/19.
//  Copyright © 2019 None. All rights reserved.
//

import UIKit

class TransactionMenuController: UITableViewController{
    
    
    var selectedTransactionMenu:  ((TransactionOption) -> Void)?
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        guard let transactionMenuType = TransactionOption(rawValue: indexPath.row) else {return}
        dismiss(animated: true) {
            self.selectedTransactionMenu?(transactionMenuType)
        }
    }
}


